{
  "name": "admin",
  "version": "0.0.0",
  "private": true,
  "type": "module",
  "engines": {
    "node": "^20.19.0 || >=22.12.0"
  },
  "scripts": {
    "dev": "vite",
    "build": "vite build",
    "preview": "vite preview",
    "lint:oxlint": "oxlint . --fix -D correctness --ignore-path .gitignore",
    "lint:eslint": "eslint . --fix --cache",
    "lint": "run-s lint:*",
    "format": "prettier --write src/"
  },
  "dependencies": {
    "@codemirror/lang-html": "^6.4.11",
    "@codemirror/lang-json": "^6.0.2",
    "@codemirror/theme-one-dark": "^6.1.3",
    "@formkit/drag-and-drop": "^0.5.3",
    "@formkit/i18n": "^1.6.9",
    "@formkit/vue": "^1.6.9",
    "@primeuix/themes": "^1.2.5",
    "@tailwindcss/vite": "^4.1.16",
    "@vueuse/core": "^14.0.0",
    "axios": "^1.13.5",
    "codemirror": "^6.0.2",
    "daisyui": "^5.4.2",
    "js-md5": "^0.8.3",
    "mitt": "^3.0.1",
    "pinia": "^3.0.3",
    "primevue": "^4.4.1",
    "tailwindcss": "^4.1.16",
    "vue": "^3.5.22",
    "vue-codemirror": "^6.1.1",
    "vue-router": "^4.6.3",
    "vuedraggable": "^4.1.0"
  },
  "devDependencies": {
    "@eslint/js": "^9.37.0",
    "@formkit/icons": "^1.6.9",
    "@prettier/plugin-oxc": "^0.0.4",
    "@vitejs/plugin-vue": "^6.0.1",
    "@vue/eslint-config-prettier": "^10.2.0",
    "eslint": "^9.37.0",
    "eslint-plugin-oxlint": "~1.23.0",
    "eslint-plugin-vue": "~10.5.0",
    "globals": "^16.4.0",
    "npm-run-all2": "^8.0.4",
    "oxlint": "~1.23.0",
    "prettier": "3.6.2",
    "vite": "^7.1.11",
    "vite-plugin-vue-devtools": "^8.0.3"
  }
}
